Subject: RE: [Sipping] RE: Comments on draft-moran-sipping-filter-arch-00

From: [email-masked]
Date: Thu, 4 Jul 2002 14:33:52 +0300

I have a couple of small comments about this draft.

1. I didn't quite understand what the server should do when it encounters a filter attribute it doesn't understand. Does it reject the whole request, or just that attribute?

2. In section 5.2 I think the behaviour of the server should be for the server to send a 488 or 606 instead of 200 ok for the subscribe. 200 ok implies acceptance of subscription (I know its just an example, but it needs to be corrected).

Regards,
Hisham

> -----Original Message-----
> From: ext [email-masked] [mailto:[email-masked]]
> Sent: Saturday, June 08, 2002 3:44 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [Sipping] RE: Comments on draft-moran-sipping-filter-arch-00
> 
> > 
> > 3.3.3 Time-based Logical Operators
> > I would suggest that it would be more understandable to say 
> > that "Every X"
> > means repeat the notification every X period until we hit the 
> > Expires time
> > of the original subscription, while "Every X 0" means report 
> > once.  This
> > follows the meaning found for the Expires header, as well as 
> > making sense as
> > you read it.  That is, when I say, "Please check my e-mail 
> > every 5 minutes"
> > I expect the system to check my e-mail every 5 minutes until 
> > I say stop.  I
> > don't expect the system to check my email 5 minutes from now 
> > and then stop.
> > 
> 
> In the spirit of expressions it needs to state the logical 
> value returned. Remember this rule may be combined (and'ed) 
> with another expression that would not result in sending a 
> notification. While I like the way you put it - it might 
> cause others to think that it overrides all other components 
> of the overall expression. Not specifying repeat-n is the 
> same as repeat-n=0 which by reading the current description 
> would send only once. 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP